All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.webdav
Class DAVException

    com.sas.services.webdav.DAVException

All Implemented Interfaces:
  java.io.Serializable

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public class DAVException

DAVException Wrapper for any exception that might occur in the DAV resource code. At the moment this is a chained exception, but once we have the information from the originating exception, there may be little point in keeping a copy.

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`DAVException()` Default constructor
`DAVException(java.lang.String msg)` Constructs an instance for the specified exception message.
`DAVException(java.lang.String msg, java.lang.Exception exception)` Constructs an instance for the specified exception message and the underlying exception.
`DAVException(java.lang.String msg, java.lang.Exception exception, int httpStatusCode)` Constructs an instance for the specified exception message, underlying exception and HTTP status code.
`DAVException(java.lang.String msg, int httpStatusCode)` Constructs an instance for the specified exception message and HTTP status code.

Method Summary
`java.lang.Exception` | `getException()` Gets the underlying exception.
`int` | `getStatusCode()` Gets the HTTP status code.
`void` | `setStatusCode(int statusCode)` Sets the HTTP status code.

Constructor Detail

### DAVException

    public DAVException()

  Default constructor

### DAVException

    public DAVException(java.lang.String msg)

  Constructs an instance for the specified exception message.

  Parameters:
    `msg` - Message for the exception.

### DAVException

    public DAVException(java.lang.String msg,
                        int httpStatusCode)

  Constructs an instance for the specified exception message and HTTP status code.

  Parameters:
    `msg` - Message for the exception.
    `httpStatusCode` - HTTP status code.
  Since:
    9.4m8
  See Also:
    `getStatusCode()`

### DAVException

    public DAVException(java.lang.String msg,
                        java.lang.Exception exception)

  Constructs an instance for the specified exception message and the underlying exception.

  Parameters:
    `msg` - Message for the exception.
    `exception` - The underlying exception.
  See Also:
    `setStatusCode(int)`

### DAVException

    public DAVException(java.lang.String msg,
                        java.lang.Exception exception,
                        int httpStatusCode)

  Constructs an instance for the specified exception message, underlying exception and HTTP status code.

  Parameters:
    `msg` - Message for the exception.
    `exception` - The underlying exception.
    `httpStatusCode` - HTTP status code.
  Since:
    9.4m8
  See Also:
    `getStatusCode()`

Method Detail

### getException

    public final java.lang.Exception getException()

  Gets the underlying exception.

  Returns:
    Underlying exception or `null` if there is no underlying exception.

### getStatusCode

    public int getStatusCode()

  Gets the HTTP status code.

  Returns:
    The HTTP status code or `0` if not set.

### setStatusCode

    public void setStatusCode(int statusCode)

  Sets the HTTP status code.

  Parameters:
    `statusCode` - The HTTP status code.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.